package com.fjhx.account.entity.account.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class DeptExpenseVo {

    @ExcelProperty("部门")
    private String deptName;

    @ExcelProperty("交易时间")
    private Date transactionTime;

    @ExcelProperty("币种")
    private String currency;

    @ExcelProperty("交易金额")
    private BigDecimal amount;

    @ExcelProperty("摘要")
    private String remarks;

    private Long id;
    private Long departmentId;
    private Integer status;
    private String month;
}
