package com.fjhx.account.entity.account.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Set;

@Getter
@Setter
public class DeptExpenseDto extends BaseSelectDto {

    /**
     * 币种（字典account_currency）
     */
    private String currency;

    /**
     * 收支类型：10 收入，20支出
     */
    private Integer status;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 部门列表
     */
    private Set<Long> deptIds;

}
