package com.fjhx.account.entity.exchange.dto;

import com.fjhx.account.entity.exchange.po.ExchangeSettlement;
import com.fjhx.account.entity.exchange.po.ExchangeSettlementDetail;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 结汇新增编辑入参实体
 *
 * @author
 * @since 2023-10-24
 */
@Getter
@Setter
public class ExchangeSettlementDto extends ExchangeSettlement {

    /**
     * 结汇记录列表
     */
    List<ExchangeSettlementDetail> exchangeSettlementDetailList;

    /**
     * 交易时间
     */
    private Date transactionTime;

}
