package com.fjhx.account.entity.exchange.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 结汇记录
 * </p>
 *
 * @author
 * @since 2023-10-24
 */
@Getter
@Setter
@TableName("exchange_settlement_detail")
public class ExchangeSettlementDetail extends BasePo {

    /**
     * 结汇id
     */
    private Long exchangeSettlementId;

    /**
     * 关联合同
     */
    private Long contractId;

    /**
     * 关联金额
     */
    private BigDecimal amount;

}
